%global gitdate 20230703
%global commit a2fd6cf659175ba88ce391ec3ef70681a929fbc6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           soapy-airspyhf
Version:        0.2.0^%{gitdate}git%{shortcommit}
Release:        %autorelease
Summary:        SoapySDR module for AirspyHF hardware

License:        MIT
URL:            https://github.com/pothosware/SoapyAirspyHF
Source:         https://github.com/pothosware/SoapyAirspyHF/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  SoapySDR-devel
BuildRequires:  airspyhf-devel

%description
SoapyAirspyHF is a plug-in module for SoapySDR adding support for
AispyHF hardware.
    
%prep
%autosetup -n SoapyAirspyHF-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%ldconfig_scriptlets
%files
%license LICENSE.txt
%{_libdir}/SoapySDR/modules*/libairspyhfSupport.so

%changelog
%autochangelog
